# Grupa

**Grupa** $G$ je **množina** $M$ spolu s **asociativní binární operací** $*$, ve které existuje
1) neutrální prvek
	- $\exists \, e \in G : \forall \, x \in G : x \circ e = x = e \circ x$
2) prvek $x^{-1}$ inverzní ke každému prvku
	- $\forall \, x \in G : \exists \, x^{-1} \in G : x \circ x^{-1} = e$

Pokud je **operace** $*$ navíc **komutativní**, jedná se o **komutativní** nebo **abelovskou grupu**.

Grupa se značí jako $G(M, *)$.

# Těleso

Množina $M$ spolu s operací $\oplus$ tvoří komutativní grupu s neutrálním prvkem $0$, a nechť na množině $M - \{0\}$ je určena další binární operace $\otimes$. Potom $(M, \oplus, \otimes)$ je těleso, pokud $(M - \{0\}, \otimes)$ je rovněž komutativní grupa a navíc platí distributivní zákon:
- $x \otimes (y \oplus z) = (x \otimes y) \oplus (x \otimes z)$ pro každé $x, y, z \in M$.

Mezi tělesa patří **množiny** všech racionálních, reálných a komplexních čísel, vždy se standardními operacemi **sčítání** a **násobení**.