# Grafy

**Graf** $G$ je dvojice $G = (V, E)$, kde $V$ je konečná množina a $E \subset \left({V \atop 2}\right)$, přičemž
- $\left({V \atop 2}\right) = \{\{x,y\}: x,y\in V\text{ a } x\neq y\}$

je množina všech dvouprvkových množin (neuspořádaných dvojic) prvků množiny $V$.

- $V(G)$ - prvky množiny $V$ - vrcholy (uzly) grafu $G$
- $V(E)$ - prvky množiny $E$ - hrany grafu $G$

Vrcholy $x,y \in V$ jsou sousední, pokud $\{x,y\}\in E$.

**Faktor grafu** $G$ je libovolný jeho podgraf, jehož množina vrcholů je $V(G)$. Faktor je vlastní, je-li různý od grafu $G$.

**Rovnost grafů** $G_{1} = G_{2}$
- $G_{1} = (V_{1}, E_{1}), G_{2} = (V_{2}, E_{2})$, pokud $V_{1} = V_{2}, E_{1} = E_{2}$

## Stupeň vrcholu

**Stupeň vrcholu** v grafu $G$ je počet gran grafu $G$, které obsahují vrchol $v$. Značí se $d_{G}(v)$.
- V grafu o n vrcholech je stupeň každého vrcholu nejvýše $n-1$.

## Neorientovaný graf

- hrany jsou definovány jako neuspořádané dvojice vrcholů
- odpovídá relaci na V, která je antireflexivní a symetrická

## Orientovaný graf

- Orientovaný graf je dvojice $G = (V, E)$, kde $V$ je množina vrcholů a $E \subseteq V \times V$ je množina hran. (hrany jsou nyní prvky kartézského součinu, tedy uspořádané dvojice vrcholů)
- orientované grafy odpovídají binárním relacím
- graf může obsahovat dvojici protichůdných hran
- má upravené definice některých pojmů

## Základní grafy

### Bipartitní graf

**Biparitní (sudý) graf** $K_{m, n}$ má množinu vrcholů rozdělitelnou na dvě **disjunktní množiny** $A, B$ tak, že žádné dva **vrcholy ze stejné množiny nejsou spojeny** hranou.
- $V = A \cup B, A \cap B = \emptyset$
- $E \subseteq \{ \{a,b\} \mid a \in A, b \in B \}$

### Úplný graf

**Úplný graf** na n vrcholech (značený $K_{n}$) obsahuje jako hrany všechny neuspořádané dvojice prvků $[n]$, takže $V(K_{n}) = [n], E(K_{n}) = \left({[n] \atop 2}\right)$.

### Diskrétní graf

**Diskrétní graf** $D_{n}$ na n vrcholech nemá žádné hrany: $V(D_n) = [n], E(D_{n}) = \emptyset$.