# Hodnost matice, Gaussova eliminační metoda, určení hodnosti pomocí determinantů
## Hodnost matice
- Hodnost matice je maximální počet lineárně nezávislých řádků/sloupců v matici.
- Pro každou matici A platí, že
    - **řádková hodnost** je rovna té **sloupcové**, takže $hod^r(A) = hod^s(A)$;
    - **hodnost transponované** matice je rovna hodnosti původní matice, takže $hod(A) = hod(A^T)$.

### Řádkový a sloupcový prostor matice

U matice A typu $m/n$ je
- lineární obal všech **řádkových vektorů** (řádků) nazýván **řádkovým prostorem** matice A;
- lineární obal všech **sloupcových vektorů** (sloupců) nazýván **sloupcovým prostorem** matice A.

Dimenzi řádkového nebo sloupcového prostoru nazveme **řádkovou (sloupcovou) hodností** matice A a značíme ji $hod^r(A)$ resp. $hod^s(A)$.

### Vlastnosti
- Nechť $A$ a $B$ jsou matice a $C$ = $A * B$ => $hod(C) \leq min\{hod(A), hod(B)\}$
- Nechť $B$ je regulární matice a $A$ je libovolná matice => $hod(A*B)$ nebo $hod(B*A) = hod(A)$

## Gaussova eliminační metoda
- algortimus pro převedení matice na stupňovitý tvar

## Určení hodnosti pomocí determinantů
- determinant trojúhelníkové matice je roven součinu prvků na hlavní diagonále
- determinant libovolné čtvercové podmatice řádu $m$ se nazývá **minorem řádu** $m$ matice $A$
- nechť $A$ je matice
    - $hod(A) = m$ právě tehdy, když v $A \ \exist$ nenulový minor řádu m a zároveň každý minor řádu většího než $m$ je nulový
- Hodnost matice $A$ je rovna rozměru největšího nenulového subdeterminantu